* {
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
    background: #e9e9e2;
    height: 100dvh;
}

.contentArea {
    display: flex;
    flex-direction: column; 
    margin: 0;
    width: 100%;
    height: 100dvh;
    max-height: 100dvh;
    overflow: hidden;
    box-shadow: inset 0 0 3px 0 rgba(0, 0, 0, 0.3);    
    border: 5px double rgb(154, 170, 154);
    border-radius: 0px;
}

#toolbar {
    padding: 5px;
    right: 2%;
    height: 50px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}


.app-title {
    display: flex;
    align-items: center;
    gap: 10px;
    color: rgba(255, 255, 255, 0);
    text-shadow: 0 0 1px rgb(55, 70, 55);
    font-size: 1.2rem;
    background: linear-gradient(to bottom, rgb(192, 207, 192), rgb(147, 156, 147));
    margin: 0;
    padding:12px 10px;
}

.app-title::before {
    content: "☕";
    display: inline-block;  
    vertical-align: middle;
    transform: translateY(-2px);
}


#inputField {
    flex: 1 0 auto;
    resize: none;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-family: inherit;
    outline: none;
    background: rgb(221, 228, 221);
    transition: border-color 0.3s;
    box-shadow: inset 0 0 1px 0 rgba(0, 0, 0, 0.671);
    color: #555;
    font-weight: 600;
}

#inputField:focus {
    border-color: olivedrab;
}

#inputForm button, #toolbar button {
    padding: 0 15px;
    border: 1px solid #ccc;
    border-radius: 8px;
    background: #fdfdfd91;
    color: #555;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.2s;
    padding: 5px 10px;
    box-shadow: inset 0 0 2px 0 rgba(0, 0, 0, 0.671);
    height: 100%;
}

#inputForm button:hover, #toolbar button:hover  {
    background: #f0f0f0;
    border-color: #999;
}

#svuota:hover {
    background: #fff5f5;
    border-color: crimson;
    color: crimson;
}

#inputForm {
    display: flex;
    /*! width: 100%; */
    /*! max-width: 80ch; */
    gap: 5px;
    align-items: center;
    background: rgb(192, 207, 192);
    /*! border-radius: 8px; */
    border: 4px double rgb(154, 170, 154);
    box-shadow: inset 0 0 3px 0 rgba(0, 0, 0, 0.6);
    padding: 3px;
    flex-shrink: 0;
}

#outputArea {
    color: #5d5661;
    width: 100%;
    overflow-y: auto;
    flex: 1;
    /*background: #b6aabe;*/
    height: 100%;
    border-top: 2px solid currentColor;
    padding: 5px;
}

.note {
    white-space: pre-wrap;
    background: linear-gradient(to bottom, #e4dce9, #b6aabe);
    padding: 10px;
    margin: 10px;
    display: flex;
    flex-direction: column;
    border: 4px double rgb(154, 170, 154);
    gap: 10px;
    border-radius: 10px;
    box-shadow: inset 0 0 3px 0 rgba(0, 0, 0, 0.6);
    color: rgb(92, 92, 67);
    font-weight: 600;
}
.note .date {
    font-size: 10px;
    color: blueviolet;
    text-shadow: 0 0 1px #3c503c;
    padding: 5px 10px;
}

.note .text {
    padding: 5px;
}

.note .delete {
    align-self: flex-end;
    border: 1px solid transparent;
    background: transparent;
    cursor: pointer;
    border-radius: 50%;
    font-size: 1rem;
    line-height: 1;
    padding: 2px 6px;
    font-family: monospace;
    color: brown;
    opacity: 0.6;
    transition: opacity 0.2s, color 0.2s ease-in-out;
}

.note .delete:hover {
    opacity: 1;
    border: 1px solid currentColor;
    text-shadow: 0 0 2px #3c503c;
    box-shadow: inset 0 0 2px rgb(158, 129, 129), inset 0 0 2px rgba(228, 59, 59, 0.5); 
}

#notificationArea.error {
    background: none;
    font-weight: bold;
    color: red;
    padding: 5px 10px;
}